<!DOCTYPE html> <!-- -*- mode: web -*- -->
<html>
  <head>
    <title>Toast and Tech</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="./styles.css" media="screen" />
  </head>
  <body>
    <div class="grid">
      <div class="box header">
        <div class="horiz_nav">
          <h1 id="title">Toast and Tech</h1>
          <img class="logo spin" alt="logo" src="./imgs/kawaii-toast.png"/>
        </div>
      </div>
      <div class="box sidebar">
        <div class="vert_nav">
          <div>
            <a href="#next-session">Announcements</a>
          </div>
          <div>
            <a href="#tenets">Tenets</a>
          </div>
          <div>
            <a href="#history">History</a>
          </div>
          <div>
            <a href="#contact">Contact</a>
          </div>
        </div>
      </div>
      <div class="box content">
        <section id="next-session" class="box announcement">
          <h3>Next Session</h3>
          <div id="venue-info" data-end-date="2019-08-13" class="indented">
            Join us on
            <span class="date">Monday, August 12th, 2019</span>
            at
            <span class="address">
		<a href="https://goo.gl/maps/CobuLiC2eCsoVo1n6">
		    1585 Dodd Road, Mendota Heights
		</a>
	    </span>,
            <span class="time">starting around 6pm</span>
          </div>
          <img class="poster" alt="" src="./imgs/ToastAndTechPoster.jpg"/>
        </section>
        <section class="hero">
          <img alt="Picture of a cup of coffee next to an open laptop with a caption that reads 'Give me a coffee and a laptop and I can change the world'" src="./imgs/cup-a-coffee-and-a-laptop.png"/>
        </section>
        <section id="tenets">
          <h3>Tenets of Toast and Tech</h3>
          <p>Not rules, bylaws, or articles of incorporation, these are some beliefs and values of toast and tech:</p>
          <ul>
	          <li>make EVERYONE welcome, enthusiastically</li>
	          <li>make ALL questions welcome, enthusiastically</li>
	          <li>everyone is learning, everyone is teaching</li>
	          <li>there is no single path, there are as many paths as people attending, as many paths as needed</li>
	          <li>you don't need a project or tech work to attend, just come</li>
	          <li>you don't need any experience to attend, just come</li>
	          <li>support everyone who shows up</li>
	          <li>Make it safe to learn, safe to ask questions, safe to show up</li>
	          <li><div>
              <p>And possibly the most important of all:</p>
              <p>Toast and Tech can happen <em>anywhere</em>, be run by <em>anyone</em>; all it takes is letting folks know about it, and showing up to hold the space.</p>
            </div></li>
          </ul>
        </section>
        <section id="history">
          <h3>History</h3>
          <p>Toast and Tech began as a request by some folks going through some introductory classes in HTML, CSS, and JavaScript to have an extra time to do lab work together, not necessary specific instruction, but to be able to ask and answer questions, and help each other through the class work.</p>
          <p>We attended a couple times at the <a href="https://www.canteen3255.com/">Canteen coffee house and toast bar</a>, in the Lyn-Lake area. Some of us enjoyed the time and the place well enough to jusy keep going as an unofficial study group. Information was usually passed via twitter, facebook, and slack, and there were no signups, agendas, etc., just a drop in when you want sort of thing.</p>
          <p>Attendance kept going up, and we decided we should have a name. There were a few other meetings called "Code and Coffee" and we wanted to differentiate ourselves from that, so Tamara came up with the name "Toast and Tech" to keep it in the alliterative form, and reflect our relationship with the Canteen.</p>
          <p>In late 2018, the parent group we were affiliated with, Girl Develop It, as part of the Minneapolis chapter, was imploading, and we stopped using that meetup account for signups.</p>
          <p>The Tuesday night group still meets occasionally at the Canteen. We're starting a new one in St. Paul for folks who don't or can't travel across the river and 35W from the east side of the metro.So far, we have met at <a href="https://www.amorecoffee.com/">Amoré Coffee</a> in West St. Paul, and have not settled on any particular night of the week, although Monday seems to be winning.</p>
        </section>
        <section id="contact">
          <h3>Contact</h3>
          <p>If you'd like to contact someone about this, try Tamara Temple on twitter: <a href="https://twitter.com/tamouse">@tamouse</a></p>
        </section>
        <section id="colophon">
          <p><small>Find the source at <a href="https://gitlab.com/toastand.tech/toastand.tech" target="_blank" rel="nofollow noopener">gitlab</a>.</small></p>
        </section>


      </div>
    </div>
    <script>
      var nextSession = document.getElementById("next-session");
      var venueInfo = document.getElementById("venue-info");
      var endDateStr = venueInfo.getAttribute("data-end-date");
      var endDate = new Date(endDateStr);
      var currentDate = new Date();
      console.log({ eds: endDateStr,  ed: endDate, cd: currentDate})
      if (isNaN(endDate) || endDate < currentDate) {
        venueInfo.innerHTML = "No session planned yet."
      }

    </script>
  </body>
</html>
